# Class: DraftBoard

## DraftBoard()

DraftBoard controller ------------------------------------------------------------------------ This controller contains logic for handling API requests related to fetching and drafting available players. Its methods should handle Express requests & responses.

## Constructor

#### new DraftBoard()

Source:
  - app/controllers/DraftBoard.controller.js, line 11

### Extends

- Controller

### Methods

#### (async) draft_player_to_team(req, res, next)

adds the selected player to the team

##### Parameters:

Name | Type | Description
--- | --- | ---
`req` |  |
`res` |  |
`next` |  |

Source:
  - app/controllers/DraftBoard.controller.js, line 42

##### Returns:

Promise<void>

#### (async) get_available_players(req, res, next)

Returns the API data containing the players available to draft

##### Parameters:

Name | Type | Description
--- | --- | ---
`req` |  |
`res` |  |
`next` |  |

Source:
  - app/controllers/DraftBoard.controller.js, line 23

##### Returns:

Promise<void>